Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3358 closed task (fixed)

Deprecate rtems_disk_create_phys(), etc.

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: lib/block Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking: #3485

Description

There are currently two implementations of a block device (disk). Deprecate the legacy rtems_disk_create_phys(), etc. implementation. Remove all RTEMS internal uses except in the block01 test. Add RTEMS_DEPRECATED attribute to API.

Change History (28)

comment:1 Changed on 05/18/18 at 08:45:25 by Sebastian Huber <sebastian.huber@…>

In [changeset:"30c389849d1fecec4b2940b0f1e9101ae3ae04a8/rtems" 30c3898/rtems]:

libblock: Init deps in rtems_blkdev_create()

Update #3358.

comment:2 Changed on 05/18/18 at 08:45:35 by Sebastian Huber <sebastian.huber@…>

In [changeset:"c4d35fb6c8297d08ff8f34b2038f644a012773c5/rtems" c4d35fb/rtems]:

libchip: Use rtems_blkdev_create()

Update #3358.

comment:3 Changed on 05/18/18 at 08:45:45 by Sebastian Huber <sebastian.huber@…>

In [changeset:"70502b480aaa1afe7b8347d221773296d1b22c31/rtems" 70502b48/rtems]:

libtests/block05: Use rtems_blkdev_create()

Update #3358.

comment:4 Changed on 08/06/18 at 07:05:18 by Sebastian Huber

Blocking: 3485 added

comment:5 Changed on 08/06/18 at 07:06:35 by Sebastian Huber

Milestone: 6.15.1
Version: 5

comment:6 Changed on 08/07/18 at 05:40:22 by Sebastian Huber <sebastian.huber@…>

In [changeset:"24b94c47713bbaadd8b8a876a2e7c7f3a9def5d8/rtems" 24b94c4/rtems]:

ramdisk: Use rtems_blkdev_create()

Update #3358.

comment:7 Changed on 08/07/18 at 05:40:32 by Sebastian Huber <sebastian.huber@…>

In [changeset:"16f3f107bcd8101aebb6c8cfda067d92b0a48ae9/rtems" 16f3f10/rtems]:

nvdisk: Use rtems_blkdev_create()

Update #3358.

comment:8 Changed on 08/07/18 at 05:40:42 by Sebastian Huber <sebastian.huber@…>

In [changeset:"0fe7133d6e9daa3e18b48a2491e4c29c5c71d5aa/rtems" 0fe7133/rtems]:

flashdisk: Use rtems_blkdev_create()

Update #3358.

comment:9 Changed on 08/07/18 at 05:40:53 by Sebastian Huber <sebastian.huber@…>

In [changeset:"1dec54f90c800b9a2a666b6502c3ec1137a122e3/rtems" 1dec54f9/rtems]:

bsps/lm32: Use rtems_blkdev_create()

Update #3358.

comment:10 Changed on 08/07/18 at 05:41:03 by Sebastian Huber <sebastian.huber@…>

In [changeset:"d279e747a7ef8291bf76441b23f8243d418a6e83/rtems" d279e74/rtems]:

bsp/smdk2410: Use rtems_blkdev_create()

Update #3358.

comment:11 Changed on 08/07/18 at 05:41:13 by Sebastian Huber <sebastian.huber@…>

In [changeset:"678277132b84c5e8da5e2c935a4202097698a50d/rtems" 6782771/rtems]:

libtests/block05: Avoid uninitialized variable

Update #3358.

comment:12 Changed on 08/07/18 at 05:41:24 by Sebastian Huber <sebastian.huber@…>

In [changeset:"bde8be291e614d3dfbca1adb2ee722c23cb51c39/rtems" bde8be2/rtems]:

libtests/block06: Use rtems_blkdev_create()

Update #3358.

comment:13 Changed on 08/07/18 at 05:41:34 by Sebastian Huber <sebastian.huber@…>

In [changeset:"117f7b1f670ab88ab256e596dd289743678b3bb7/rtems" 117f7b1/rtems]:

libtests/block08: Use rtems_blkdev_create()

Update #3358.

comment:14 Changed on 08/07/18 at 05:41:44 by Sebastian Huber <sebastian.huber@…>

In [changeset:"5005bfcccd0200976679a45dbad274adb797f455/rtems" 5005bfc/rtems]:

libtests/block09: Use rtems_blkdev_create()

Update #3358.

comment:15 Changed on 08/07/18 at 05:41:55 by Sebastian Huber <sebastian.huber@…>

In [changeset:"6f34f1391ef413df64573aa9f1a5c3bef1cfbcce/rtems" 6f34f13/rtems]:

libtests/block10: Use rtems_blkdev_create()

Update #3358.

comment:16 Changed on 08/07/18 at 05:42:06 by Sebastian Huber <sebastian.huber@…>

In [changeset:"5e4bab7769c6d6cb791a2f8b2c3bd6f47ae1a010/rtems" 5e4bab7/rtems]:

libtests/block12: Use rtems_blkdev_create()

Update #3358.

comment:17 Changed on 08/07/18 at 05:42:16 by Sebastian Huber <sebastian.huber@…>

In [changeset:"3278d202004a0d37abfbc9a24845b2e00e967ce8/rtems" 3278d20/rtems]:

libtests/block13: Use rtems_blkdev_create()

Update #3358.

comment:18 Changed on 08/07/18 at 05:42:27 by Sebastian Huber <sebastian.huber@…>

In [changeset:"fa12e06d333594fbf3dda81933af625a4aaff193/rtems" fa12e06d/rtems]:

libtests/block14: Use rtems_blkdev_create()

Update #3358.

comment:19 Changed on 08/07/18 at 05:42:37 by Sebastian Huber <sebastian.huber@…>

In [changeset:"bf802790255aa5e155effdb97fc28010ddd82c26/rtems" bf80279/rtems]:

libtests/block15: Use rtems_blkdev_create()

Update #3358.

comment:20 Changed on 08/07/18 at 05:42:47 by Sebastian Huber <sebastian.huber@…>

In [changeset:"698093d68dbe7d0085103e9b2f8edfdc2b366d30/rtems" 698093d/rtems]:

libblock: Use rtems_blkdev_create_partition()

Update #3358.

comment:21 Changed on 08/07/18 at 05:42:57 by Sebastian Huber <sebastian.huber@…>

In [changeset:"f7cecc3308a9348c598f0cb7fe35dcf9ea3392d4/rtems" f7cecc33/rtems]:

libchip/ata: Use rtems_blkdev_create()

Update #3358.

comment:22 Changed on 08/07/18 at 05:43:08 by Sebastian Huber <sebastian.huber@…>

In [changeset:"1836c6a456b52e0ec39bddc3164d2b0b46746b3c/rtems" 1836c6a/rtems]:

bsp/gen5200: Avoid deprecated routine

Update #3358.

comment:23 Changed on 08/07/18 at 05:43:18 by Sebastian Huber <sebastian.huber@…>

In [changeset:"dd66fda39736135b40a99cccf1f5aabc1028c560/rtems" dd66fda/rtems]:

tests: Avoid deprecated rtems_disk_io_initialize()

Update #3358.

comment:24 Changed on 08/07/18 at 05:43:28 by Sebastian Huber <sebastian.huber@…>

In [changeset:"ab96aec60a1ea393f42dcc8f6fde78ed7b3705d9/rtems" ab96aec/rtems]:

dosfs: Avoid deprecated routine

Update #3358.

comment:25 Changed on 08/07/18 at 05:43:38 by Sebastian Huber <sebastian.huber@…>

In [changeset:"b152d33ba5f6dc8c3250232b2e09f7df098471cb/rtems" b152d33/rtems]:

fileio: Avoid deprecated rtems_disk_obtain()

Update #3358.

comment:26 Changed on 08/07/18 at 05:43:49 by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In [changeset:"0b038bd48b77a650fdc1a74add55523b524b8dac/rtems" 0b038bd4/rtems]:

libblock: Add RTEMS_DEPRECATED

Close #3358.

comment:27 Changed on 09/06/18 at 05:05:10 by Sebastian Huber <sebastian.huber@…>

In [changeset:"ccdce9d8f6c38748747a1346d3a42683fa5c9328/rtems" ccdce9d8/rtems]:

libchip/ata: Fix ATA_DRIVER_TABLE_ENTRY

Drop unused and deprecated functions from the ATA_DRIVER_TABLE_ENTRY.

Update #3358.
Close #3510.

comment:28 Changed on 11/27/18 at 11:46:37 by Sebastian Huber <sebastian.huber@…>

In [changeset:"06331e4dcb2495d323964cde4a5835110a6ed023/rtems" 06331e4/rtems]:

dosfs: Fix device identifier

Update #3358.

Note: See TracTickets for help on using tickets.